Bug 1727927 - Applying errata through remote execution doesn't work
Summary: Applying errata through remote execution doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Jonathon Turel
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-08 14:34 UTC by Lukáš Hellebrandt
Modified: 2019-10-22 12:48 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27256 None None None 2019-07-09 16:20:59 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:01 UTC

Description Lukáš Hellebrandt 2019-07-08 14:34:59 UTC
Description of problem:
When I select an erratum to be applied to the host and click "via remote execution" or "via remote execution - customize first", nothing happens. No traceback.

Version-Release number of selected component (if applicable):
Reproduced on Sat 6.6 snap 10. Regression since this worked at some point.

How reproducible:
Deterministic

Steps to Reproduce:
1. Have a Satellite, a content host fully registered to it (bootstrap, katello-agent)
2. Have some erratum applicable to that content host
3. Go to the content host page, Errata
4. Select some erratum
5. In the "Apply Selected" dropdown, select "via remote execution"

Actual results:
Nothing happens

Expected results:
The erratum should be applied

Additional info:
Note that remote execution in general does work on that particular content host

Comment 4 Ivan Necas 2019-07-09 12:54:27 UTC
Notes from the reproducer - the js console says:

```
bastion-bd772a8917bc…3fa4e5ab237bc3.js:4 TypeError: t.join is not a function
    at i.a.performViaRemoteExecution (bastion_katello-9839…2aaa982824e77e.js:4)
    at fn (eval at compile (bastion-bd772a8917bc…3fa4e5ab237bc3.js:6), <anonymous>:4:278)
    at e (bastion-bd772a8917bc…3fa4e5ab237bc3.js:5)
    at t (bastion-bd772a8917bc…3fa4e5ab237bc3.js:7)
    at i.$eval (bastion-bd772a8917bc…3fa4e5ab237bc3.js:5)
    at i.$apply (bastion-bd772a8917bc…3fa4e5ab237bc3.js:5)
    at HTMLAnchorElement.<anonymous> (bastion-bd772a8917bc…3fa4e5ab237bc3.js:7)
    at HTMLAnchorElement.dispatch (jquery.js:4737)
    at HTMLAnchorElement.b.handle (jquery.js:4549)
(anonymous)	@	bastion-bd772a8917bc…3fa4e5ab237bc3.j
```

Comment 5 Jonathon Turel 2019-07-09 16:20:59 UTC
Created redmine issue https://projects.theforeman.org/issues/27256 from this bug

Comment 6 Bryan Kearney 2019-07-09 20:03:25 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27256 has been resolved.

Comment 8 Lukáš Hellebrandt 2019-07-16 10:29:44 UTC
Verified on Sat 6.6 snap 11 using reproducer from OP. The errata was applied, package updated, no traceback, no related browser console errors, status reported as completed.

Comment 10 errata-xmlrpc 2019-10-22 12:47:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.